<?php

//run only one function at a time to check up the results after every step

class SipPeerCest 
{ 
    public function SipCreate(AcceptanceTester $I)
    {
	$I->loginSuccessfully($I);
        $I->click("SIP");
	//Path problem with Codeception
	$I->amOnPage('/app/berogui/index.php?m=Sip');
	$I->see('SIP CONFIGURATION');
	$I->click("Add");
	$I->see('SIP Profile');
	$I->sendAjaxPostRequest('/app/berogui/modules/Sip/sip_submit.php', array(
    		'name' => 'peer1',
		'sip_proxy' => '172.20.15.1',
		'sip_registrar' => '172.20.15.1',
    		'auth_user' => 'peer1',
		'user' => 'peer1',
    		'displayname' => 'peer1',
		'secret' => 'peer1',
		'register' => true,
		'profile' => 'manual'
	), 'submit');
    }  
public function SipModify(AcceptanceTester $I)
    {
	$I->loginSuccessfully($I);
	$I->click("SIP");
	//Path problem with Codeception
	$I->amOnPage('/app/berogui/index.php?m=Sip');
	$I->click("//a[contains(@href,'modules/Sip/sip_popup.php?id=1')]");
	$I->sendAjaxPostRequest('/app/berogui/modules/Sip/sip_submit.php?id=1', array(
    		'name' => 'peer2',
		'sip_proxy' => '172.20.15.1',
		'sip_registrar' => '172.20.15.1',
    		'auth_user' => 'peer2',
		'user' => 'peer2',
    		'displayname' => 'peer2',
		'secret' => 'peer2',
		'register' => true,
		'profile' => 'manual',
		'id_upd' => 1
	), 'submit');

    }  

}
?>
